org.apache.cayenne.dba.frontbase

## Class FrontBaseTemplateAction

- java.lang.Object
- - org.apache.cayenne.access.jdbc.SQLTemplateAction
  - - org.apache.cayenne.dba.frontbase.FrontBaseTemplateAction

- All Implemented Interfaces:
    SQLAction

      public class FrontBaseTemplateAction
      extends SQLTemplateAction

  Since:
    4.2

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.jdbc.SQLTemplateAction

      `dataNode, dbAdapter, dbEntity, query, queryMetadata`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrontBaseTemplateAction(SQLTemplate query, DataNode dataNode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `execute(Connection connection, OperationObserver callback, SQLStatement compiled, Collection<Number> updateCounts)`

    - ### Methods inherited from class org.apache.cayenne.access.jdbc.SQLTemplateAction

      `bind, configureRowDescriptorBuilder, extractTemplateString, getAdapter, getFetchOffset, getQuery, performAction, processSelectResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FrontBaseTemplateAction

          public FrontBaseTemplateAction(SQLTemplate query,
                                         DataNode dataNode)

      Parameters:
        `query` -
        `dataNode` -
      Since:
        4.2

  - ### Method Detail

    - #### execute

          protected void execute(Connection connection,
                                 OperationObserver callback,
                                 SQLStatement compiled,
                                 Collection<Number> updateCounts)
                          throws SQLException,
                                 Exception

      Overrides:
        `execute` in class `SQLTemplateAction`
      Throws:
        `SQLException`
        `Exception`

Copyright © 2001–2021 Apache Cayenne. All rights reserved.